twilio.voice

Setup

  • Add Twilio Voice integration to your app
  • Get integration webhook (run meya webhooks)
  • Open your Twilio Voice phone number settings
  • Set integration webhook to Twilio Voice "A CALL COMES IN" option

Element details

type: meya.twilio.voice.integration
class: TwilioVoiceIntegration
path: /meya/twilio/voice/integration/integration.py
signature: -

Fields

fielddescription               requiredsignaturedefaulttype
specOverride the original spec for this element.○○nullSpec
enabledEnables the integration, allowing it to process events and HTTP/WS entries.○○truebool
filterSpecifies the GridQL to filter rx_sub, rx, tx, tx_pubentries. Check the integration filtering guidefor more info.○○rx_sub: true
rx: true
tx: true
tx_pub: true
IntegrationFilter
verify_tokenThe token to be verified for each incoming request. You need to add the verify_token=YOUR_TOKEN query parameter to integration's webhook URL.○○nullstr
max_attachment_sizeControls maximum attachment size supported by the integration in bytes.○○nullint
account_sidTwilio project Account SID.◉○str
auth_tokenTwilio project auth token. This field is being deprecated, switch to api_key_sid and api_key_secret as soon as possible. For more information, see https://www.twilio.com/console/project/api-keys○○nullstr
api_key_sidTwilio API Key SID. Access https://www.twilio.com/console/project/api-keys to manage API Keys.○○nullstr
api_key_secretTwilio API Key secret. Access https://www.twilio.com/console/project/api-keys to manage API Keys.○○nullstr
phone_numberTwilio active number for use with Meya◉○str
rehost_mediaRehost media on a public CDN URL.○○falsebool
markdownThe markdown features that are supported by this integration. Check the Markdown guide for more info.○○falselist
bool
typingWhen set to false, all typing indicators received by the integration will be ignored.○○truebool

Usage reference

Basic

type: meya.twilio.voice.integration
account_sid: STRING
phone_number: STRING

Full

type: meya.twilio.voice.integration
spec:
  type: STRING
  data:
    STRING: ANY
  timeout: 123
  trigger_when: ANY
enabled: false
filter:
  rx_sub: STRING
  rx: STRING
  tx: STRING
  tx_pub: STRING
verify_token: STRING
max_attachment_size: 123
account_sid: STRING
auth_token: STRING
api_key_sid: STRING
api_key_secret: STRING
phone_number: STRING
rehost_media: false
markdown:
  - format|linkify|breaks|typographer
typing: false